- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# ioctl_args Struct Reference

`#include <sysproto.h>`

## Data Fields
u_long | com
char | com_l_ [0]
char | com_r_ [(sizeof(register_t)<=sizeof(u_long)?0:sizeof(register_t)-sizeof(u_long))]
caddr_t | data
char | data_l_ [0]
char | data_r_ [(sizeof(register_t)<=sizeof(caddr_t)?0:sizeof(register_t)-sizeof(caddr_t))]
int | fd
char | fd_l_ [0]
char | fd_r_ [(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

## Detailed Description

Definition at line 154 of file sysproto.h.

## Field Documentation

u_long ioctl_args::com

Definition at line 156 of file sysproto.h.

char ioctl_args::com_l_[0]

Definition at line 156 of file sysproto.h.

char ioctl_args::com_r_[(sizeof(register_t)<=sizeof(u_long)?0:sizeof(register_t)-sizeof(u_long))]

Definition at line 156 of file sysproto.h.

caddr_t ioctl_args::data

Definition at line 157 of file sysproto.h.

char ioctl_args::data_l_[0]

Definition at line 157 of file sysproto.h.

char ioctl_args::data_r_[(sizeof(register_t)<=sizeof(caddr_t)?0:sizeof(register_t)-sizeof(caddr_t))]

Definition at line 157 of file sysproto.h.

int ioctl_args::fd

Definition at line 155 of file sysproto.h.

char ioctl_args::fd_l_[0]

Definition at line 155 of file sysproto.h.

char ioctl_args::fd_r_[(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

Definition at line 155 of file sysproto.h.

The documentation for this struct was generated from the following file:

- src/sys/include/sys/sysproto.h